Name:           c-icap
Version:        0.2.6
Release:        2%{?dist}
Summary:        c-icap is an implementation of an ICAP server.

Group:          System Environment/Daemons
License:        LGPLv2.1
URL:            http://c-icap.sourceforge.net/
Source0:        http://sourceforge.net/projects/c-icap/files/c-icap/0.2.x/c_icap-%{version}.tar.gz
Source1:        %{name}-tmpfiles.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%if 0%{?fedora} || 0%{?rhel} >= 6
BuildRequires:  perl-devel
%else
BuildRequires:  perl
%endif
BuildRequires:	openldap-devel
BuildRequires:	zlib-devel
%if 0%{?fedora}
BuildRequires:	libdb-devel
%endif
%if 0%{?rhel}
BuildRequires:  db4-devel
%endif
BuildRequires:  gdbm-devel

%description
c-icap is an implementation of an ICAP server. It can be used with HTTP proxies that support the ICAP protocol to implement content adaptation and filtering services. 

%package devel
Summary:        Libraries for c-icap.
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel

%prep
%setup -q -n c_icap-%{version}

%build
%configure \
	--sysconfdir=%{_sysconfdir}/c-icap \
	--enable-shared \
	--enable-large-files \
	--enable-ipv6 \
	--enable-sysvipc \
	--with-perl \
	--with-zlib \
	--with-bdb \
	--with-ldap

make %{?_smp_mflags}

sed -i -e 's|/var/run/|/run/|g' \
	-e 's|/var/tmp|/tmp|g' \
	-e 's|/usr/lib/|%{_libdir}/|g' \
	-e 's|/usr/etc/c-icap.magic|/etc/c-icap/c-icap.magic|g' \
	-e 's|/usr/local/c-icap/etc/|/etc/c-icap/|g' \
	-e 's|/usr/var/log/|/var/log/c-icap/|g' \
	c-icap.conf

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -D -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_usr}/lib/tmpfiles.d/c-icap.conf
find $RPM_BUILD_ROOT -name '*.la' | xargs rm

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README RECONF TODO contrib/
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/c-icap/c-icap.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/c-icap/c-icap.magic
%attr(0644,root,root) %{_sysconfdir}/c-icap/*.default
%{_bindir}/c-icap
%{_bindir}/c-icap-client
%{_bindir}/c-icap-mkbdb
%{_bindir}/c-icap-stretch
%{_libdir}/libicapapi.so.*
%{_libdir}/c_icap/*.so
%{_mandir}/man8/c-icap*.8.gz
%{_usr}/lib/tmpfiles.d/c-icap.conf

%files devel
%{_bindir}/c-icap-config
%{_bindir}/c-icap-libicapapi-config
%{_includedir}/c_icap/*.h
%{_libdir}/libicapapi.so

%changelog
* Wed Oct  9 2013 momo-i <webmaster@momo-i.org> - 0.2.6-2
- Add tmpfiles.d

* Wed Oct  9 2013 momo-i <webmaster@momo-i.org> - 0.2.6-1
- Initial rpm release.
